<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" class="main-bg">
		<tr>
			<td width="50%" style="background-position: right bottom; background-repeat: repeat-x; background-image: url(images/bg2.jpg);">
				<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="background-position: right top; background-repeat: repeat-x; background-image: url(images/bg1.jpg);">
				<tr>
					<td></td>
				</tr>
				</table>
			</td>
			<td style="background-position: left bottom; background-repeat: repeat-x; background-image: url(images/bg2.jpg);">
				<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="background-position: left top; background-repeat: repeat-x; background-image: url(images/bg1.jpg);">
				<tr>
					<td>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr valign="top">
							<td><span style="width: 33px; height: 92px;"><spacer type="block" width="33" height="92"/></span></td>
							<td width="100%" style="padding-top: 30px;">
								<table border="0" cellspacing="0" cellpadding="0">
								<tr valign="top">
									<td><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
									<td style="padding-top: 7px; font-family: arial; font-size: 9px; font-weight: bold; color: #ffffff;">
										<span style="font-size: 24px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span>
										<br/>
										<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
									</td>
								</tr>
								</table>
							</td>
							<td class="text" style="padding-top: 40px; padding-right: 33px; color: #ffffff;">
								<a href="" style="color: #ffffff;"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></a>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td><img src="images/i9.jpg" width="713" height="9"/></td>
				</tr>
				<tr height="100%">
					<td>
						<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
 							<td>
 								<table height="100%" border="0" cellspacing="0" cellpadding="0">
		 						<tr>
		 							<td><img src="images/i1.jpg" width="55" height="299"/></td>
		 						</tr>
		 						<tr height="100%">
									<td style="background-position: right top; background-repeat: repeat-y; background-image: url(images/sbg1.gif);"></td>
		 						</tr>
		 						<tr>
	 								<td align="right"><img src="images/i2.jpg" width="27" height="219"/></td>
		 						</tr>
 								</table>
 							</td>
							<td width="100%">
								<table bgcolor="#ffffff" width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="background-position: left bottom; background-repeat: repeat-x; background-image: url(images/i6.gif);">
								<tr>
									<td colspan="2">
										<table width="100%" border="0" cellspacing="0" cellpadding="0">
										<tr valign="middle">
											<td><img src="images/i7.gif" width="10" height="44"/></td>
											<td width="100%" align="center" style="background-image: url(images/tmbg.gif);">
												<table border="0" cellspacing="0" cellpadding="0">
												<tr valign="middle">
													<!-- buttons -->
													<xsl:call-template name="TOP-MENU"/>
													<!-- /buttons -->
												</tr>
												</table>
											</td>
											<td><img src="images/i8.gif" width="10" height="44"/></td>
										</tr>
										</table>
									</td>
								</tr>
								<tr valign="middle">
									<!-- headers -->
									<td><img src="images/header.jpg" width="438" height="273"/></td>
									<!-- /headers -->
									<td width="100%" align="center">
										<table border="0" cellspacing="0" cellpadding="0">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
										</table>
									</td>
								</tr>
								<tr height="100%" valign="top">
									<td class="text" style="padding: 0px 15px 40px 15px;">
										<span style="font-size: 20px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
										<br/><br/>
										<xsl:apply-templates select="PAGE-CONTENT"/>
									</td>
									<td valign="bottom" align="right"><img src="images/i5.jpg" width="99" height="233" /></td>
								</tr>
								</table>
							</td>
 							<td>
 								<table height="100%" border="0" cellspacing="0" cellpadding="0">
		 						<tr>
									<td><img src="images/i3.jpg" width="28" height="299"/></td>
		 						</tr>
		 						<tr height="100%">
									<td style="background-image: url(images/sbg2.gif);"></td>
		 						</tr>
		 						<tr>
									<td><img src="images/i4.jpg" width="28" height="219"/></td>
		 						</tr>
 								</table>
 							</td>
						</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td><img src="images/i10.jpg" width="713" height="9"/></td>
				</tr>
				<tr>
					<td>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr valign="top">
							<td><span style="width: 40px; height: 70px;"><spacer type="block" width="40" height="70"/></span></td>
							<td width="100%" class="text" style="padding-top: 10px; color: #ffffff;">
								<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
							</td>
							<td class="text" style="padding-top: 10px; padding-right: 33px; color: #ffffff;">
								<a style="color: #ffffff" href=""></a>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				</table>
			</td>
			<td width="50%" style="background-position: left bottom; background-repeat: repeat-x; background-image: url(images/bg2.jpg);">
				<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="background-position: left top; background-repeat: repeat-x; background-image: url(images/bg1.jpg);">
				<tr>
					<td></td>
				</tr>
				</table>
			</td>
		</tr>
		</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>	
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="sma"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right">
					<table border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td><img src="images/smb1.gif" width="3" height="17"/></td>
						<td bgcolor="#ffca00" class="text" style="color: #ffffff; padding: 0px 3px 0px 3px;"><xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/></td>
						<td><img src="images/smb2.gif" width="3" height="17"/></td>
					</tr>
					</table>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td class="sm"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" class="sm" style="padding-right: 6px;"><a href="{@HREF}"><xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" style="padding: 7px 0px 7px 0px;"><div style="background-color: #e3e3e3; width: 153px; height: 1px;"><spacer type="block" width="153" height="1"/></div></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
