<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
<TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
	<TR>
		<TD height="258" class="header" style="background-image: url('images/header.jpg');">
		<!-- LOGO -->
			<div align="center" style="width: 330px;">
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px; margin-left: 5px;"/></a></td>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
			</div>
		<!-- END LOGO -->
		</TD>
	</TR>
	<TR>
		<TD height="133" style="background-color:  #FFFFFF; background-image: url('images/menu_bg.gif'); background-repeat: no-repeat;">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr>
					<td width="30"></td>
					<xsl:call-template name="TOP-MENU"/>					
				</tr>
			</table>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR>
		<TD valign="top" height="100%" style="background-color:  #606060; background-image:  url('images/bg.gif'); background-position: bottom right; background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" width="780">
				<tr>
					<td width="60"></td>
					<td width="150" valign="top">
					<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" border="0" width="150">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>							
					<!-- END SUBMENU -->				
					</td>
					<td width="75"></td>
					<td width="400" valign="top">					
					<!-- CONTENT -->
					<table cellpadding="0" cellspacing="0" border="0" width="400">
						<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
						<tr><td height="10"></td></tr>
						<tr>
							<td width="400" class="pageContent">
								<xsl:apply-templates select="PAGE-CONTENT"/>
							</td>
						</tr>
						<tr><td height="40"></td></tr>
					</table>
					<!-- END CONTENT -->
					</td>
					<td width="95"></td>
				</tr>			
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="58" align="right" style="background-color:  #FFFFFF; background-image: url('images/footer_bg.gif'); background-position: bottom right; background-repeat: no-repeat; padding-right: 20px;">
		<!-- FOOTER -->
			<div align="right" class="footer" style="width: 300px;">
				<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/> 
			</div>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		

	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td><div align="center" class="asubmenu2" style="background-color: white; width: 21px; height: 17px; padding: 2px;"><xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/></div></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td><div align="center" style="width: 21px; height: 17px; padding: 2px;"><a href="{@HREF}" class="submenu"><xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/></a></div></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td height="12"></td></tr>
		<tr><td colspan="2" height="1" bgcolor="#ffffff"></td></tr>
		<tr><td height="12"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  			<td class="bottommenudivider"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
