<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="main-bg" style="background-image: url('images/main_bg.gif');">
	<tr>
		<td style="background-image: url('images/main_tbg.gif'); background-position: top; background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/main_bbg.gif'); background-position: bottom; background-repeat: repeat-x;">
				<tr>
					<td style="background-image: url('images/main_tbg.jpg'); background-position: top right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/main_bbg.jpg'); background-position: bottom right; background-repeat: no-repeat;">
							<tr>
								<td valign="top">
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
	<TR>
		<TD height="207" style="padding-left: 38px;">
		<!-- LOGO -->
			<table cellpadding="0" cellspacing="0">
				<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
				<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
				<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
		<!-- END LOGO -->
		</TD>
	</TR>
	<TR>
		<TD height="30" valign="top">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td width="45"></td>
					<xsl:call-template name="TOP-MENU"/>					
					<td width="30"></td>
				</tr>
			</table>		
		<!-- END MENU -->
		</TD>
	</TR>
	<TR>
		<TD valign="top" height="400">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="400">
				<tr>
					<td valign="top" align="center">
						<img src="images/header.gif" border="0" alt=""/><br/>
						<div style="width:218px; height:1px;"><spacer type="block" width="218" height="1"/></div>
					</td>
					<td width="100%">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr><td height="28"></td></tr>
							<tr>
								<td height="53" style="background-color:  #BFBEBE; background-image:  url('images/bg_tl.gif'); background-repeat: no-repeat;"></td>
							</tr>
							<tr>
								<td valign="top" height="100%" class="pageContent" style="background-color:  #BFBEBE; background-image:  url('images/bg.gif'); background-repeat: repeat-y; padding: 0 20px 0 20px;">
									<!-- CONTENT -->
										<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
										<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
										<xsl:apply-templates select="PAGE-CONTENT"/>
									<!-- END CONTENT -->
								</td>
							</tr>
							<tr><td height="33"  bgcolor="#BFBEBE"><img src="images/bg_b.gif" border="0" alt=""/></td></tr>
						</table>
					</td>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="198" height="100%">
							<tr>
								<td height="100%" style="background-image: url('images/submenu_bg.jpg'); background-repeat: repeat-y;">
									<table cellpadding="0" cellspacing="0" border="0" width="198" height="100%" style="background-image: url('images/submenu_b.jpg'); background-position: bottom; background-repeat: no-repeat;">
										<tr>
											<td valign="top" style="background-image: url('images/submenu_t.jpg'); background-position: top left; background-repeat: no-repeat;">
												<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" width="124" align="center">
													<tr><td colspan="2" height="35"></td></tr>
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
													<tr><td colspan="2" height="35"></td></tr>
												</table>	
												<!-- END SUBMENU -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr><td><img src="images/submenu_bbg.jpg" border="0" alt=""/></td></tr>
						</table>
						<div style="width:199px; height:1px;"><spacer type="block" width="199" height="1"/></div>
					</td>
					<td><div style="width:21px; height:1px;"><spacer type="block" width="21" height="1"/></div></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD valign="bottom" height="177" style="background-image: url('images/footer_bg.jpg'); background-position: right; background-repeat: no-repeat; padding-left: 45px;">
			<table cellpadding="0" cellspacing="0" border="0" height="80" width="100%">
				<tr>
					<td valign="bottom">
					<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>		
					<!-- END BOOTTOM MENU -->
					</td>
				</tr>
				<tr><td height="10"></td></tr>
				<tr>
					<td valign="top" class="footer">
					<!-- FOOTER -->
					<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>							
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>								
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>					
				<td align="right" style="padding-left: 5px"><img src="images/submenu_bullet.gif" border="0"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-left: 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>	
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" background="images/submenu_hr.gif"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
